<template>
  <div class="app-container">
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <!-- v-hasPermi="['system:user:import']" -->
        <el-button type="primary" plain icon="Search" @click="handleQuery">查询</el-button>
      </el-col>
      <el-col :span="1.5">
        <!-- v-hasPermi="['system:user:export']" -->
        <el-button type="warning" plain icon="CircleClose" @click="handleClear">重置</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button type="warning" plain icon="Download" @click="handleExport">导出</el-button>
      </el-col>
    </el-row>

    <el-table
      v-loading="loading"
      :data="nonWinQtyRatinoList"
      @selection-change="handleSelectionChange"
      height="calc(100vh - 300px)"
    >
      <el-table-column type="selection" width="50" align="center" />
      <el-table-column
        label="项目名称"
        align="center"
        key="itemName"
        prop="itemName"
        :show-overflow-tooltip="true"
        width="110px"
      />
      <el-table-column
        label="医疗机构名称"
        align="center"
        key="orgName"
        prop="orgName"
        width="200px"
        :show-overflow-tooltip="true"
      />
      <!-- itemTable -->
      <el-table-column
        label="药品通用名"
        align="center"
        key="medName"
        prop="medName"
        width="140px"
        :show-overflow-tooltip="true"
      />
      <el-table-column
        label="非中选产品采购数量（片袋支）"
        align="center"
        key="nonWinQty"
        prop="nonWinQty"
        width="250px"
        :show-overflow-tooltip="true"
      />
      <el-table-column
        label="通用名药品采购数量（片袋支）"
        align="center"
        key="quantity"
        prop="quantity"
        width="250px"
        :show-overflow-tooltip="true"
      />
      <el-table-column
        label="非中选产品采购金额（元）"
        align="center"
        key="nonWinAmt"
        prop="nonWinAmt"
        width="250px"
        :show-overflow-tooltip="true"
      />
      <el-table-column
        label="通用名药品采购金额（元）"
        align="center"
        key="amount"
        prop="amount"
        width="250px"
        :show-overflow-tooltip="true"
      />
    </el-table>
    <pagination
      v-show="total > 0"
      :total="total"
      v-model:page="queryParams.pageNo"
      v-model:limit="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script setup name="nonWinQtyRatio">
import {
  getReportNonWinQtyRatio,
} from './statisticalManagent';

const { proxy } = getCurrentInstance();
const route = useRoute();

const nonWinQtyRatioList = ref([]);
const loading = ref(true);
const ids = ref([]);
const single = ref(true);
const multiple = ref(true);
const total = ref(0);
const approvalTime = ref([]);
const supplierListOptions = ref([]);
const locationIdList = ref([]);

const data = reactive({
  form: {},
  queryParams: {
    pageNo: 1,
    pageSize: 10,
    searchKey: undefined,
    occurrenceTimeSTime: undefined,
    occurrenceTimeETime: undefined,
  },
  rules: {},
});

const { queryParams, form, rules } = toRefs(data);

/** 导出按钮操作 */
function handleExport() {
  proxy.$download.downloadGet(
    'report-manage/inbound/excel-out',
    {
      ...queryParams.value,
    },
    `dict_${new Date().getTime()}.xlsx`
  );
}
/** 查询调拨管理项目列表 */
function getList() {
  loading.value = true;
  getReportNonWinQtyRatio(queryParams.value).then((res) => {
    loading.value = false;
    nonWinQtyRatioList.value = res.data.records;
    total.value = res.data.total;
  });
}

/** 搜索按钮操作 */
function handleQuery() {
  queryParams.value.occurrenceTimeSTime =
    approvalTime.value && approvalTime.value.length == 2 ? approvalTime.value[0] + ' 00:00:00' : '';
  queryParams.value.occurrenceTimeETime =
    approvalTime.value && approvalTime.value.length == 2 ? approvalTime.value[1] + ' 23:59:59' : '';
  queryParams.value.pageNo = 1;
  getList();
}

/** 清空条件按钮操作 */
function handleClear() {
  // 清空查询条件
  queryParams.value.occurrenceTimeSTime = '';
  queryParams.value.occurrenceTimeETime = '';
  approvalTime.value = '';
  proxy.resetForm('queryRef');
  getList();
}

/** 选择条数  */
function handleSelectionChange(selection) {
  ids.value = selection.map((item) => item.id);
  single.value = selection.length != 1;
  multiple.value = !selection.length;
}

getList();

</script>
<style scoped>
.custom-tree-node {
  display: flex;
  align-items: center;
}

.title {
  font-weight: bold;
  font-size: large;
  margin-bottom: 10px;
}
</style>
